GENRSA(1SSL)

NOM
genrsa - Générer une clef privée RSA

SYNOPSIS
openssl genrsa [-out nomfibier] [-passout param] [-des] [-des3] [-idea] [-f4] [-3] [-rand fichier(s)] [-engine id] [nombrebits]

DESCRIPTION
La commande genrsa génère une clef privée RSA.

OPTIONS

-out nom_fichier
    Le fichier de sortie. S'il n'est pas indiqué, la sortie standard est utilisée.

-passout param
    La source de mot de passe pour le fichier de sortie. Pour plus de renseignements sur le format de param, consultez la section PARAMÈTRES DE PHRASE SECRÈTE d'openssl(1).

-des|-des3|-idea
    Ces options chiffrent la clef privée avec l'algorithme DES, triple DES ou IDEA respectivement avant la sortie du résultat. Si aucune de ces options n'est présente, aucun chiffrement n'est effectué. Si l'algorithme de chiffrement utilise une phrase de passe, elle est demandée à l'invite de commande si elle n'est pas précisée via l'argument -passout.

-F4|-3
    L'exposant public à utiliser, soit 65537 soit 3. La valeur par défaut est 65537.

-rand fichier(s)
    Un ou plusieurs fichiers contenant des données aléatoires utilisées pour initialiser le générateur de nombres pseudoaléatoires, ou une socket EGD (consultez RAND_egd(3)). Plusieurs fichiers peuvent être indiqués en utilisant le séparateur du système d'exploitation : « ; » pour Windows, « , » pour OpenVMS et « : » pour tous les autres.

-engine id
    Indique un moteur (en utilisant son identifiant unique id) qui force genrsa à essayer d'obtenir une référence fonctionnelle pour le moteur indiqué, et l'initialiser si nécessaire. Le moteur sera ensuite utilisé par défaut pour tous les algorithmes disponibles.

nombre_bits
    La taille de la clef privée à générer, en bits. Cette option doit être placée en dernier. La valeur par défaut est de 512 bits.

NOTES
La génération de clefs privées RSA comprend essentiellement la génération de deux nombres premiers. Lors de la génération de la clef, des caractères sont affichés pour indiquer la progression de la génération. Un . représente chaque nombre ayant passé le test initial, + représente chaque nombre ayant passé un tour simple du test de primalité de Miller-Rabin. Un saut de ligne correspond à un nombre ayant passé tous les tests (le nombre effectif dépend de la taille de la clef).

Comme la génération de la clef est un processus aléatoire, le temps nécessaire à la génération de la clef peut être variable.

BOGUES
Un défaut de l'algorithme de génération de nombres premiers rend la génération de petits nombres premiers impossibles. Pour cette raison, le nombre de bits ne devrait pas être inférieur à 64. Pour des clefs privées typiques, cela importe peu parce que des contraintes de sécurité imposent une taille plus grande (typiquement 1024 bits).

VOIR AUSSI
gendsa(1)

TRADUCTION
Cette page de manuel a été traduite par arne en 2002 et est maintenue par la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.